Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619380 - Review Request: giis - Solution to undelete files "gET iT i sAY"
Review Request: giis - Solution to undelete files "gET iT i sAY"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 08:32 EDT by Pavel Alexeev
Modified: 2013-02-11 13:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-10 23:57:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2010-07-29 08:32:11 EDT
Spec URL: http://hubbitus.net.ru/rpm/Fedora11/giis/giis.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora11/giis/giis-4.6-13.fc11.src.rpm
Description: gET iT i sAY giis is an ext2/ext3 File Undelete Tool.

P.S. Spec file formatted by tabs with 5 space width (
http://fedoraproject.org/wiki/PavelAlexeev/tabsize ). Please, do not start
review if it is a problem for you.
Comment 1 Lakshmipathi 2010-12-23 05:01:16 EST
it's almost six months now - In general,I would like to know how long will it take to include/reject package?
Comment 2 Jason Tibbitts 2010-12-23 09:42:41 EST
Well, most people are not even going to bother looking at this review, because the submitter uses that insane five-space tab thing and explicitly asks people not to start reviewing it because of that.  So his package reviews just sit around forever.  Too bad, really, but it's his choice.
Comment 3 Pavel Alexeev 2010-12-23 10:25:38 EST
You also refer to color of my eyes :)
I just have not enough free time to do many review for swap and force that process. Sorry, I try do that in new year.
Comment 4 Lakshmipathi 2011-01-18 02:26:26 EST
Thanks Pavel :)
Comment 5 Mattia Verga 2012-01-21 14:48:54 EST
Pavel, is this review request still valid? Do you plan continue and provide working URLs?
Comment 6 Pavel Alexeev 2012-01-25 15:18:38 EST
Mattia Verga, yes it is long awaited and valid. I not so interesting in this package now, but it was so long in the past promised by me to Lakshmipathi. I'm absolutely ready.

http://hubbitus.info/rpm/Fedora15/giis/giis-4.6-14.fc15.src.rpm
http://hubbitus.info/rpm/Fedora15/giis/giis.spec
Comment 7 Lakshmipathi 2012-01-25 20:50:34 EST
thanks for the update Pavel :D
Comment 8 Mattia Verga 2012-03-11 05:47:53 EDT
You have to use Systemd units instead of SysV:
https://fedoraproject.org/wiki/Packaging:Systemd

'Each package that contains software that wants/needs to start a traditional service at boot MUST have a systemd unit file.'
Comment 9 Pavel Alexeev 2012-03-21 13:18:02 EDT
I have add this, but giis fail built on recent kernel. It ma require some time.
Comment 11 Lakshmipathi 2012-06-13 06:03:39 EDT
Any chance that the package will be included in upcoming Fedora releases?
Comment 12 Pavel Alexeev 2012-06-23 10:46:37 EDT
Mattia Verga may be you are willing continue review?
Comment 13 Mattia Verga 2012-06-24 06:50:42 EDT
My comment #8 was just an informal review (I didn't set any flag or assigned the ticket to myself).
At the moment I don't consider myself to have enough experience in systemd to make a formal review and I don't have the time to study on that.
Maybe you can post an email to the mailing list asking for a swap review?
Comment 14 Mario Blättermann 2012-10-14 16:37:23 EDT
giis 4.7 is available. Please update your files, then I will continue this review.
Comment 15 Lakshmipathi 2012-10-15 02:51:14 EDT
For the confusion :D ,one clarification -  
*giis -> original command-line version
*giis-gui -> gui version (wrapper around command line binary giis)


giis-4.6.1 is the latest released on Mar 25 2012.Where as 
giis-4.7 released on September 1st 2009: giis_4.7(alias giis-gui-0.2.tar)

giis-gui-0.2.tar[by  mistake named "giis-gui-0.2.tar" as giis-4.7 ]  - Its GUI for giis.

As far as the latest version is concerned,giis-4.6.1 is the working version recently tested.

Hope this clarifies the issue :)
Comment 16 Pavel Alexeev 2012-10-16 04:36:54 EDT
Mario, do you ready to proceed? I'm ready swap reviews if are you willing.
Comment 17 Mario Blättermann 2012-10-16 13:31:49 EDT
(In reply to comment #16)
> Mario, do you ready to proceed? I'm ready swap reviews if are you willing.

Good idea actually, but I've nothing to review currently... Thanks anyway.

Here's the scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4595904

$ rpmlint -i -v *
giis.src: I: checking
giis.src: W: spelling-error Summary(en_US) undelete -> delete
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error Summary(en_US) gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error Summary(en_US) iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error Summary(en_US) sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error %description -l en_US gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error %description -l en_US iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error %description -l en_US sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.src: I: checking-url http://giis.sf.net (timeout 10 seconds)
giis.src: I: checking-url http://www.giis.co.in/giis/giis_4.6.1.tar.gz (timeout 10 seconds)
giis.i686: I: checking
giis.i686: W: spelling-error Summary(en_US) undelete -> delete
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error Summary(en_US) gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error Summary(en_US) iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error Summary(en_US) sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error %description -l en_US gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error %description -l en_US iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error %description -l en_US sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.i686: I: checking-url http://giis.sf.net (timeout 10 seconds)
giis.i686: W: invalid-url URL: http://giis.sf.net HTTP Error 403: Forbidden
The value should be a valid, public HTTP, HTTPS, or FTP URL.

giis.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

giis.i686: E: incorrect-fsf-address /usr/share/doc/giis-4.6.1/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

giis.i686: W: no-manual-page-for-binary giis
Each executable in standard binary directories should have a man page.

giis.i686: W: no-manual-page-for-binary giis.daemon
Each executable in standard binary directories should have a man page.

giis.i686: W: install-file-in-docs /usr/share/doc/giis-4.6.1/INSTALL
A file whose name suggests that it contains installation instructions is
included in the package.  Such instructions are often not relevant for already
installed packages; if this is the case for this file and it does not contain
any information that is of interest after the package has been built and
installed, do not include the file in the binary package.

giis.i686: W: dangerous-command-in-%preun rm
giis.x86_64: I: checking
giis.x86_64: W: spelling-error Summary(en_US) undelete -> delete
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error Summary(en_US) gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error Summary(en_US) iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error Summary(en_US) sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error %description -l en_US gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error %description -l en_US iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error %description -l en_US sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: I: checking-url http://giis.sf.net (timeout 10 seconds)
giis.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

giis.x86_64: E: incorrect-fsf-address /usr/share/doc/giis-4.6.1/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

giis.x86_64: W: no-manual-page-for-binary giis
Each executable in standard binary directories should have a man page.

giis.x86_64: W: no-manual-page-for-binary giis.daemon
Each executable in standard binary directories should have a man page.

giis.x86_64: W: install-file-in-docs /usr/share/doc/giis-4.6.1/INSTALL
A file whose name suggests that it contains installation instructions is
included in the package.  Such instructions are often not relevant for already
installed packages; if this is the case for this file and it does not contain
any information that is of interest after the package has been built and
installed, do not include the file in the binary package.

giis.x86_64: W: dangerous-command-in-%preun rm
giis-debuginfo.i686: I: checking
giis-debuginfo.i686: I: checking-url http://giis.sf.net (timeout 10 seconds)
giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/get_it_i_say.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/get_it_i_say.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/searchnupdate.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/searchnupdate.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/file.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/file.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/group.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/group.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/giis.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/giis.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/init.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/init.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/inode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/inode.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/main.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/main.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/dir.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/dir.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/uninit.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/uninit.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: I: checking
giis-debuginfo.x86_64: I: checking-url http://giis.sf.net (timeout 10 seconds)
giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/get_it_i_say.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/get_it_i_say.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/giis.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/giis.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/searchnupdate.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/searchnupdate.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/file.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/file.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/inode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/inode.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/group.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/group.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/init.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/init.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/main.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/main.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/dir.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/dir.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/giis_4.6.1/src/uninit.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

giis-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/giis_4.6.1/src/uninit.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

giis.spec: I: checking-url http://www.giis.co.in/giis/giis_4.6.1.tar.gz (timeout 10 seconds)
giis-sysvinit.i686: I: checking
giis-sysvinit.i686: I: enchant-dictionary-not-found ru
A dictionary for the Enchant spell checking library is not available for the
language given in the info message.  Spell checking will proceed with
rpmlint's built-in implementation for localized tags in this language. For
better spell checking results in this language, install the appropriate
dictionary that Enchant will use for this language, often for example
hunspell-* or aspell-*.

giis-sysvinit.i686: I: checking-url http://giis.sf.net (timeout 10 seconds)
giis-sysvinit.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

giis-sysvinit.i686: W: dangerous-command-in-%preun rm
giis-sysvinit.i686: W: no-reload-entry /etc/rc.d/init.d/giis
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

giis-sysvinit.x86_64: I: checking
giis-sysvinit.x86_64: I: checking-url http://giis.sf.net (timeout 10 seconds)
giis-sysvinit.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

giis-sysvinit.x86_64: W: dangerous-command-in-%preun rm
giis-sysvinit.x86_64: W: no-reload-entry /etc/rc.d/init.d/giis
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

7 packages and 1 specfiles checked; 22 errors, 58 warnings.


Some of the rpmlint issues can be ignored. For example, the missing Russian dictionary on my system. Moreover, the INSTALL file in %doc which contains some useful configuration hints. For the non-binary in /usr/lib, it would be time to fix this in rpmlint since we have systemd as default. The incorrect FSF address doesn't have to be fixed, but it is worth to give upstream a hint.


There remain as to be fixed:

Remove the executable bits from the mentioned source files.

Fix the line end encodings. Don't know if this affects the functionality of the package, but on an *nix-like system we should have appropriate line endings.

Seems you don't want to provide your package for EPEL 5, due to the missing BuildRoot definition and %clean section. That's why you have to remove the initial cleaning of %buildroot in %install and the %defattr lines in the file listings.

Nice to have a non-English description, but if we have that anyway, you should add a Russian summary, too (with Summary(ru) in the header). If you want, I could translate this stuff into German.
Comment 18 Pavel Alexeev 2012-11-05 10:10:30 EST
(In reply to comment #17)
> (In reply to comment #16)
> > Mario, do you ready to proceed? I'm ready swap reviews if are you willing.
> 
> Good idea actually, but I've nothing to review currently... Thanks anyway.
No problem. Just say me when you will be ready in any time later.

> Here's the scratch build for Rawhide:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4595904
 
> Some of the rpmlint issues can be ignored. For example, the missing Russian
> dictionary on my system. Moreover, the INSTALL file in %doc which contains
> some useful configuration hints.
I think you are speaking about exclude it from docs ( https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Documentation )?
Then done.

> For the non-binary in /usr/lib, it would be
> time to fix this in rpmlint since we have systemd as default. The incorrect
> FSF address doesn't have to be fixed, but it is worth to give upstream a
> hint.
Lakshmipathi, as you here, could you please pay attention to it and update license text?


> There remain as to be fixed:
> 
> Remove the executable bits from the mentioned source files.
> Fix the line end encodings. Don't know if this affects the functionality of
> the package, but on an *nix-like system we should have appropriate line
> endings.
Both fixed.

> Seems you don't want to provide your package for EPEL 5, due to the missing
> BuildRoot definition and %clean section.
Yes, unfortunately it does not compatible by kernel versions out of box. May be patching is possible, but it is not so hot for me.

> That's why you have to remove the
> initial cleaning of %buildroot in %install and the %defattr lines in the
> file listings.
Fixed.

> Nice to have a non-English description, but if we have that anyway, you
> should add a Russian summary, too (with Summary(ru) in the header).
Good catch. Added.

> If you want, I could translate this stuff into German.
If you want provide it I'll be glad to add its then.

http://hubbitus.info/rpm/Fedora17/giis/giis.spec
http://hubbitus.info/rpm/Fedora17/giis/giis-4.6.1-2.fc16.src.rpm

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4656042
Comment 19 Lakshmipathi 2012-11-05 23:01:21 EST
(In reply to comment #18)
> Lakshmipathi, as you here, could you please pay attention to it and update
> license text?
Yes,Sure.I believe you are referring old address "59 Temple Place, Suite 330, Boston, MA  02111-1307  USA" in COPYING file and change it to new address "51 Franklin Street, Fifth Floor Boston, MA 02110-1301 USA"

Is that correct?
Comment 20 Pavel Alexeev 2012-11-06 00:01:47 EST
I think it is good idea just refresh all file: https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
Comment 21 Lakshmipathi 2012-11-06 12:55:50 EST
(In reply to comment #20)
> I think it is good idea just refresh all file:
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Okay,I updated [http://giis.co.in/giis/giis_4.6.1.tar.gz] the COPYING file with correct fsf-address and added  licence note to all .c files.
Comment 22 Mario Blättermann 2012-11-07 15:11:56 EST
(In reply to comment #21)
> (In reply to comment #20)
> > I think it is good idea just refresh all file:
> > https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
> 
> Okay,I updated [http://giis.co.in/giis/giis_4.6.1.tar.gz] the COPYING file
> with correct fsf-address and added  licence note to all .c files.

Actually no good idea. Even if we speak about such minor changes, a released tarball must not be touched. Perhaps you could roll a bugfix release 4.6.2 or 4.6.1.1 to make it distinguishable from 4.6.1 ?
Comment 23 Lakshmipathi 2012-11-07 22:42:59 EST
> Actually no good idea. Even if we speak about such minor changes, a released
> tarball must not be touched. Perhaps you could roll a bugfix release 4.6.2
> or 4.6.1.1 to make it distinguishable from 4.6.1 ?
Okay done,did a minor bugfix release -for the fsf-address and licence notes.Its available at http://giis.co.in/giis/giis_4.6.2.tar.gz
Comment 25 Mario Blättermann 2012-11-15 17:04:15 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4694147

$ rpmlint -i -v *
giis.src: I: checking
giis.src: W: spelling-error Summary(en_US) undelete -> delete
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error Summary(en_US) gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error Summary(en_US) iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error Summary(en_US) sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.src: I: enchant-dictionary-not-found ru
A dictionary for the Enchant spell checking library is not available for the
language given in the info message.  Spell checking will proceed with
rpmlint's built-in implementation for localized tags in this language. For
better spell checking results in this language, install the appropriate
dictionary that Enchant will use for this language, often for example
hunspell-* or aspell-*.

giis.src: W: spelling-error %description -l en_US gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error %description -l en_US iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.src: W: spelling-error %description -l en_US sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.src: I: checking-url http://giis.sf.net/ (timeout 10 seconds)
giis.src: I: checking-url http://www.giis.co.in/giis/giis_4.6.2.tar.gz (timeout 10 seconds)
giis.i686: I: checking
giis.i686: W: spelling-error Summary(en_US) undelete -> delete
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error Summary(en_US) gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error Summary(en_US) iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error Summary(en_US) sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error %description -l en_US gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error %description -l en_US iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.i686: W: spelling-error %description -l en_US sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.i686: I: checking-url http://giis.sf.net/ (timeout 10 seconds)
giis.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

giis.i686: W: no-manual-page-for-binary giis
Each executable in standard binary directories should have a man page.

giis.i686: W: no-manual-page-for-binary giis.daemon
Each executable in standard binary directories should have a man page.

giis.i686: W: dangerous-command-in-%preun rm
giis.x86_64: I: checking
giis.x86_64: W: spelling-error Summary(en_US) undelete -> delete
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error Summary(en_US) gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error Summary(en_US) iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error Summary(en_US) sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error %description -l en_US gET -> get, ET, PET
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error %description -l en_US iT -> it, IT, Ti
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: W: spelling-error %description -l en_US sAY -> say, day, sat
The value of this tag appears to be misspelled. Please double-check.

giis.x86_64: I: checking-url http://giis.sf.net/ (timeout 10 seconds)
giis.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

giis.x86_64: W: no-manual-page-for-binary giis
Each executable in standard binary directories should have a man page.

giis.x86_64: W: no-manual-page-for-binary giis.daemon
Each executable in standard binary directories should have a man page.

giis.x86_64: W: dangerous-command-in-%preun rm
giis-debuginfo.i686: I: checking
giis-debuginfo.i686: I: checking-url http://giis.sf.net/ (timeout 10 seconds)
giis-debuginfo.i686: W: invalid-url URL: http://giis.sf.net/ HTTP Error 403: Forbidden
The value should be a valid, public HTTP, HTTPS, or FTP URL.

giis-debuginfo.x86_64: I: checking
giis-debuginfo.x86_64: I: checking-url http://giis.sf.net/ (timeout 10 seconds)
giis-debuginfo.x86_64: W: invalid-url URL: http://giis.sf.net/ HTTP Error 403: Forbidden
The value should be a valid, public HTTP, HTTPS, or FTP URL.

giis.spec: I: checking-url http://www.giis.co.in/giis/giis_4.6.2.tar.gz (timeout 10 seconds)
giis-sysvinit.i686: I: checking
giis-sysvinit.i686: I: checking-url http://giis.sf.net/ (timeout 10 seconds)
giis-sysvinit.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

giis-sysvinit.i686: W: dangerous-command-in-%preun rm
giis-sysvinit.i686: W: no-reload-entry /etc/rc.d/init.d/giis
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

giis-sysvinit.x86_64: I: checking
giis-sysvinit.x86_64: I: checking-url http://giis.sf.net/ (timeout 10 seconds)
giis-sysvinit.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

giis-sysvinit.x86_64: W: dangerous-command-in-%preun rm
giis-sysvinit.x86_64: W: no-reload-entry /etc/rc.d/init.d/giis
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

7 packages and 1 specfiles checked; 0 errors, 37 warnings.


No errors, some ignorable warnings only. Spelling errors once again... And some things which have been discussed earlier.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    e207b466fb08cb197e10c071cc595222b42c193fc3bc8d8fd2691f3a16192362  giis_4.6.2.tar.gz
    e207b466fb08cb197e10c071cc595222b42c193fc3bc8d8fd2691f3a16192362  giis_4.6.2.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[X] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

The sysvinit package needs to depend on the base package:
Requires:       %{name}%{?_isa} = %{version}-%{release}

[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.



For f18+, consider to use the new systemd macros:
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd


Please add the following German bits to your package:

Summary(de): Wiederherstellen gelöschter Dateien "gET iT i sAY"
%description -l de
"gET iT i sAY" ist ein Werkzeug zum Wiederherstellen gelöschter Dateien auf ext2/ext3-Dateisystemen.

For sysvinit:
Summary(de): Sysvinit-Skripte für den Daemon
%description sysvinit -l de
Startdateien für z.B. CentOS.
Comment 27 Mario Blättermann 2012-11-18 13:30:37 EST
Well, nice to have the German summary and description now. But one issue remains:

(In reply to comment #25)
> [X] SHOULD: Usually, subpackages other than devel should require the base
> package using a fully versioned dependency.
> 
> The sysvinit package needs to depend on the base package:
> Requires:       %{name}%{?_isa} = %{version}-%{release}
Comment 28 Pavel Alexeev 2012-11-25 08:10:19 EST
Thanks. Please look at http://hubbitus.info/rpm/Fedora18/giis/giis-4.6.2-3.fc16.src.rpm
Comment 29 Mario Blättermann 2012-11-25 11:50:30 EST
Looks good now.

----------------

PACKAGE APPROVED

----------------
Comment 30 Pavel Alexeev 2012-11-26 14:05:18 EST
Mario, thank you for the review!

New Package SCM Request                                                                                                                                 
=======================                                                                                                                                 
Package Name: giis
Short Description: Solution to undelete files "gET iT i sAY"
Owners: hubbitus                                                                                                                                        
Branches: F-18
InitialCC:
Comment 31 Gwyn Ciesla 2012-11-26 14:28:02 EST
Git done (by process-git-requests).
Comment 32 Mario Blättermann 2012-12-18 09:20:16 EST
No packages built yet...?
Comment 33 Fedora Update System 2013-01-01 14:50:17 EST
giis-4.6.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/giis-4.6.2-3.fc18
Comment 34 Pavel Alexeev 2013-01-02 03:15:56 EST
I think it is end of so very very long story. Thanks to all for patience.
Comment 35 Lakshmipathi 2013-01-02 03:27:11 EST
(In reply to comment #34)
> I think it is end of so very very long story. Thanks to all for patience.

Yes,Its a very very long story :) Thanks a lot Pavel for all your help. 
Thanks Mario for taking up this package and working on it :) and thanks to all others involved :D
Comment 36 Fedora Update System 2013-01-02 15:21:44 EST
Package giis-4.6.2-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing giis-4.6.2-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0091/giis-4.6.2-3.fc18
then log in and leave karma (feedback).
Comment 37 Fedora Update System 2013-02-10 23:57:11 EST
giis-4.6.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.